Trimming B-Spline surface with a BSpline curve

Hi everyone,
I have a BSpline Surface and a Wire consist of four BSpine Curves.
what i want is trimmed BSpline surface with a wire(see attached image(080.png))

i am using below code

BRepBuilderAPI_MakeFace aFaceMaker(aBSplineSurf , aWire);
BRepCheck_Analyzer aBrepCheckWire(aWire);
Standard_Boolean isValidWire = aBrepCheckWire.IsValid(); /// isValidWire = 1
TopoDS_Face aFace = aFaceMaker.Face();

ShapeFix_Face aFaceFix(aFace);
aFaceFix.FixIntersectingWires();
aFaceFix.FixMissingSeam();
aFaceFix.FixOrientation();
aFaceFix.Perform();
aShape = aFaceFix.Face();

but what i got is 081.png
what is the problem?

thanks in advance

Attachments: 
zbaekhk's picture

it is solved.
wire direction was wrong
i got correct face when reverse wire.

Attachments: